using HarmonyLib;
using System;
using Verse;
using BabiesAndChildren.Tools;
using System.Collections.Generic;
using System.Linq;

namespace Mincho_BnCPatch
{
    //BnCġ
    [StaticConstructorOnStartup]
    public static class Harmony_GetPawnBodyPart
    {
        static Harmony_GetPawnBodyPart()
        {
                Harmony harmonyInstance = new Harmony("Mincho_BnCPatch");
                harmonyInstance.Patch(AccessTools.Method(typeof(BabiesAndChildren.Tools.HealthUtility), "GetPawnBodyPart", null, null), new HarmonyMethod(patchType, "GetPawnBodyPartPreFix", null), null, null);
                Log.Message("Mincho_BnCPatch");
        }

        [HarmonyPrefix]
        public static bool GetPawnBodyPartPreFix(Pawn pawn, string bodyPart, ref BodyPartRecord __result)
        {
            if (pawn.def.defName == "Mincho_ThingDef")
            {
                bodyPart = "Mincho_Torso";
                __result = BabiesAndChildren.Tools.HealthUtility.GetPawnBodyParts(pawn, bodyPart).First<BodyPartRecord>();
                return false;
            }
            else
            {
                return true;
            }
        }
        private static readonly Type patchType = typeof(Harmony_GetPawnBodyPart);
    }
}
