﻿using Verse;

namespace ChangeLook
{
    public class ChangeLook_Hediff : HediffWithComps
    {
        public override void PostAdd(DamageInfo? dInfo)
        {
            foreach (ChangeLookDef changeLook in DefDatabase<ChangeLookDef>.AllDefs)
            {
                if (changeLook.targetRace == pawn.def)
                {
                    base.PostAdd(dInfo);
                    changeLook.StartChangeLook(pawn, "ChangeLook_Hediff_PostAdd");
                }
            }
        }

        public override void PostRemoved()
        {
            foreach (ChangeLookDef changeLook in DefDatabase<ChangeLookDef>.AllDefs)
            {
                if (changeLook.targetRace == pawn.def)
                {
                    base.PostRemoved();
                    changeLook.StartChangeLook(pawn, "ChangeLook_PostRemoved");
                }
            }
        }
    }
}
